### Method

# Fwupd Device set_version_format

since: 1.2.9

#### Declaration [src]

    void
    fwupd_device_set_version_format (
      FwupdDevice* self,
      FwupdVersionFormat version_format
    )

#### Description [src]

Sets the version format.

Available since: 1.2.9

Sets property | `Fwupd.Device:version-format`

#### Parameters

`version_format`

  Type: `FwupdVersionFormat`

  The version format, e.g. `FWUPD_VERSION_FORMAT_NUMBER`.